Bug 1412754 - ironic - provider network cleaning[cleaning_network_uuid] not working
Summary: ironic - provider network cleaning[cleaning_network_uuid] not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-ironic
Version: 11.0 (Ocata)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Dmitry Tantsur
QA Contact: mlammon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 17:19 UTC by mlammon
Modified: 2017-05-17 19:38 UTC (History)
9 users (show)

Fixed In Version: puppet-ironic-10.3.0-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:38:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 423308 None None None 2017-01-20 14:45:30 UTC
OpenStack gerrit 423316 None None None 2017-01-20 14:59:52 UTC
Launchpad 1656035 None None None 2017-01-12 17:20:46 UTC

Description mlammon 2017-01-12 17:19:14 UTC
Description:

The provider network cleaning automated feature is not working in Ocata and writing this bug to ensure it gets resolved.  This works in newton. 
The specific information for this feature is found in the following document.
http://tripleo.org/advanced_deployment/baremetal_overcloud.html#configuring-cleaning
This same procedure worked flawlessly in newton so it appears new issue for Ocata.

Steps to duplicate upstream
1) deployed undercloud using quickstart release master-tripleo-ci
2) deploy overcloud with ironic-config.yaml first without the ironic::conductor::cleaning_network_uuid in the ControllerExtraConfig parameter successfully
3) Get hieradata variable to the UUID of the provider network
source overcloudrc
openstack network show external -f value -c id
4) Add ControllerExtraConfig parameter (see below)
5) run deploy overcloudrc command outlined in Step#2
6) check [cleaning_network_uuid] variable in /etc/ironic/ironic.conf and this still commented out and openstack-ironic-conductor svc is running. no sign of restart

oc deploy command:
openstack overcloud deploy --templates -e /usr/share/openstack-tripleo-heat-templates/environments/services/ironic.yaml -e /usr/share/openstack-tripleo-heat-templates/environments/puppet-pacemaker.yaml -e ironic-config.yaml

openstack-ironic-conductor service is running

ironic-config.yaml:
parameter_defaults:
  ComputeCount: 1
  ControllerCount: 3
  OvercloudControlFlavor: control
  OvercloudComputeFlavor: compute
  ControllerExtraConfig:
       ironic::drivers::ssh::libvirt_uri: "qemu:///session"
       ironic::conductor::cleaning_network_uuid: <some uuid>
  IronicCleaningDiskErase: metadata
  IronicEnabledDrivers:
    - pxe_ssh
  NovaSchedulerDefaultFilters:
    - RetryFilter
    - AggregateInstanceExtraSpecsFilter
    - AvailabilityZoneFilter
    - RamFilter
    - DiskFilter
    - ComputeFilter
    - ComputeCapabilitiesFilter
    - ImagePropertiesFilter
  NtpServer: ["xx.com","xx.com"]

Environment:
openstack-ironic-api-6.2.1-0.20170110232305.bbd0e96.el7.centos.noarch
openstack-ironic-conductor-6.2.1-0.20170110232305.bbd0e96.el7.centos.noarch
openstack-ironic-common-6.2.1-0.20170110232305.bbd0e96.el7.centos.noarch

Workaround:
As described in the document for this feature it can be done manually.

Comment 1 Dmitry Tantsur 2017-01-18 16:38:54 UTC
Will look into it

Comment 2 Dmitry Tantsur 2017-01-23 13:20:02 UTC
The main fix is merged, the upstream doc change is pending.

Comment 4 mlammon 2017-04-05 18:09:51 UTC
This has been verified many times

Comment 6 errata-xmlrpc 2017-05-17 19:38:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.